PROBLEM LINK:Author: Egor Bobyk DIFFICULTY:Simple PREREQUISITES:implementation, basic maths PROBLEM:Some chefs go for a tour lasting $N$ days. They take packages of bread for food. Each package has $K$ pieces of breads. In $i$th day, they eat $A_i$ pieces of bread. EXPLANATION:================
This is our solution expressed as a pseudo code: N, K, A[] = input cur = 0 //total number of breads available right now ans = 0 //total number of packages opened till now for i = 0 to N  1: //solve for inequality cur + x*K >= A[i] where x>=0 x = (A[i]cur)/K + ((A[i]cur)%K > 0) //if x < 0, no package required x = 0 //increase answer if packages opened ans += x //change current number of breads left after consumption cur = cur +x*K A[i] //decrease 1 bread if some number of breads are left if (cur > 0) cur print ans COMPLEXITY:For each test case, complexity is $O(N)$ because we are traversing over number of days ie. $N$ here. AUTHOR'S, TESTER'S SOLUTIONS:
This question is marked "community wiki".
asked 26 Jun '15, 07:18

Hey, I have a doubt w.r.t. test case 3 3 2 2 (i.e., 4 days) for K=6 (K being no. of breads in a package). The answer should be 3 because as per the question, "Each day the last piece of bread of an open package goes bad". on 1st day: no. of packages used= 1, left out breads = 6  3  1 = 2; (1 is because the bread goes bad) on 2nd day: no. of packages used= 2, left out breads = 6  (3  2)  1 = 4; (2 is yesterday's left out breads) on 3rd day: no. of packages used= 2, left out breads = 4  2  1 = 1; (4 is yesterday's left out breads) on 4th day: no. of packages used= 3, left out breads = 6  (2  1)  1 = 4; (in (2  1), 1 is yesterday's left out breads) Therefore, total no. of packages used = 3; Please correct me if I am wrong. Thanks in advance. answered 14 Jul '15, 07:49

Please help me out....I run this program but wrong answer Subtask1 task#0,Subtask2 task#3,Subtask3 task#7... Can anyone please rectify my problem and please tell me the case where the code would not be applied (at which value of N,K and A[i])........
} answered 13 Jul '15, 16:31
Please HELP HELP .....Me out.......I have tried most of the test cases.......
(14 Jul '15, 13:33)
Try this: 1 5 4 6 3 5 1 6 Answer should be 6. Your code gives 7.
(14 Jul '15, 17:55)
Thank You Very much
(14 Jul '15, 18:33)
But bhambya what is the value of K , N (i.e no of days and bread in each package...)..Please tell me that....
(14 Jul '15, 18:36)
actually the new line didnt come there. T = 1, N = 5, K = 4, array : 6 3 5 1 6
(14 Jul '15, 21:22)
Thank You Very Much For Your Kind Info..... :)
(14 Jul '15, 23:06)
showing 5 of 6
show all

why i got only 15 pts .Can somebody check my code plz.. include <iostream>using namespace std; int main() { int T; long int N,K,pk=0; long int *A,i,chk; long int rem,divi,temp; cin>>T;
answered 13 Jul '15, 21:26
@tejasvi96 this is because you have to use long long. check your code, http://www.codechef.com/viewsolution/7478446 , I just changed type to long long
(14 Jul '15, 08:58)
thanx for the help avmnusng..
(14 Jul '15, 12:40)

test case : 3 3 2 2 (i.e 4 days) for K = 6 optimal order : 3 from 1st packet, 3 from 2nd packet, 2 from 1st packet, 2 from 2nd packet,  total 2 packets opened your soln: post condition after each loop: i=0: x = 1 ans =1 cur = 2 i = 1: x = 1 ans = 2 cur = 4 i = 2: x = 0 ans = 2 cur =1 i = 3: x = 1 ans = 3 cur = 4 which gives the answer 3 which is actually wrong.. are you sure it is greedy ?? Is it not flawed?? shouldn't the approach be to minimize the no. of wasted breads?? answered 13 Jul '15, 23:04

@gridhar_m yes you are right...i checked My AC soln and your concept too answered 14 Jul '15, 09:03

suppose i open the first packet and take 3 breads and let the topmost bread remain there.. then the next day i take 3 breads from second packet and let the topmost bread remain there.. next day i remove the bad bread and also 2 breads from 1st packet. and next day i remove the bad bread and also 2 breads from 2nd packet.. As only the piece that is exposed to mold is wasted only two packets must be used.. I don't think that we will eat Ai bread and throw the next bread that is exposed then and there.. it is pointless, as another piece of bread will be exposed(More wastage). it is only when we eat the next day or later in the tour that we throw the bad bread. And if only the last piece of bread is wasted then 3 3 2 2 should give 2 optimally. The question is even if there is a last piece of bad bread, will the 2nd last piece also go bad.. Clarity of the question is questionable... :P answered 14 Jul '15, 13:27

I got only 15 pts. Can somebody check my code plz. Atleast let me know the test cases that are failing. Thanks in advance. answered 14 Jul '15, 23:25

I got 75 pts And my only wrong answer is Subtask 2 Task#3 Plz tell me which test case is my code not satisfying. include<stdio.h>include<math.h>int main(void) {short int T; scanf("%hd",&T); while(T>0) { int n,i; scanf("%d",&n); long long int k,j=0; scanf("%lld",&k); int a[n]; for(i=0;i<n;i++) { scanf("%d",&a[i]); j+=a[i]; if(a[i]%k!=0 && i!=n1 && j%k!=0) {j++;}
} answered 15 Jul '15, 14:02

They eat acc. to daily requirement. So go on adding the no of breads they eat daily AND add 1(bread that damages daily). Don't add 1 bread if(sum%k==0), because on that day no bread will remain. THUS, print sum/k or (sum/k)+1 which gives total no of packets required for throught the trip. TOO SIMPLE :) answered 15 Jul '15, 18:05

Why this code gave WA..Please help http://ideone.com/8WElkC answered 16 Jul '15, 07:19

Can anyone take a look at my submission. https://www.codechef.com/viewsolution/8536505. i am taking an array dp[] which contains the no of of packages opened after each day and another array left[] which contains no of left over breads after each day i am getting just one WA in subtask 2. answered 13 Oct '15, 01:59

Hey Thanks this is useful coding link.. Thanks for sharing.. answered 13 Oct '15, 12:01

Can we know the testcases used by judge please ?